## Apache Zeta Components Manual :: Docs For Class ezcTranslationComplementEmptyFilter

### Translation::ezcTranslationComplementEmptyFilter

### Class ezcTranslationComplementEmptyFilter

Implements the ComplementEmpty translation filter.

The filter replaces a missing translated string with its original.

Source for this file: /Translation/src/filters/complement_filter.php

### Implements interfaces:

- ezcTranslationFilter

Version: | //autogentag//

### Method Summary

public static ezcTranslationComplementEmptyFilter | `getInstance( )` Returns an instance of the class ezcTranslationComplementEmptyFilter.
public void | `runFilter( $context )` Filters the context $context.

### Methods

#### getInstance

static ezcTranslationComplementEmptyFilter getInstance( )

Returns an instance of the class ezcTranslationComplementEmptyFilter.

##### Implementation of:

Method | Description
--- | ---
`ezcTranslationFilter::getInstance()` | Returns an instance of the class that implements this interface

#### runFilter

void runFilter( $context )

Filters the context $context.

Applies the fillin filter on the given context. The filter replaces a missing translated string with its original.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$context` | array(ezcTranslationData) |

##### Implementation of:

Method | Description
--- | ---
`ezcTranslationFilter::runFilter()` | Filters the context $context.

Documentation generated by phpDocumentor 1.4.3